Subject: [Teep] FW: New Version Notification for draft-faibish-iot-ddos-usecases-01.txt

From: <[email-masked]>
Date: Wed, 25 Dec 2019 21:52:20 +0000

Team,

Based on the comments of TEEP WG issue #65 was closed with recommendations to move this draft to a different WG. But I just wanted to add more details on the proposed used cases adding the relation to MUD and before moving to a different WG I want to have a new review of the draft. 

After discussions in the joint call with SUIT WG I am considering perhaps moving the draft to SUIT or RATS based on Dave's recommendations. Yet in order to be sure this draft will not go to waste I will ask to move it to SECDISPATCH for the final decision before I toss it. I sincerely believe that this draft is falling between security WGs chairs and it is very relevant for the current state of internet security. 

I agree to Dave that perhaps:
•	TEEP manages the TEE in a device, not the REE in a device.
•	This may be relevant to RATS though 

But I disagree to close it dead as it is important from my view.
•	Propose closing issues as out of scope

Additional to this I am working to expand the python tool that I used to tests TEEP IoT devices that could be used for DDoS attacks. I would ask the TEEP WG to continue testing vulnerability of devices to DDoS (reflected traffic) during next IETF meeting and I want to have 10 minutes to make my case before I go to the SECDISPATCH WG. I will offer to continue to check TEEP devices vulnerability in Vancouver hackathon. 

And finally I will ask and appreciate any comments and review of the new draft. Thank you

./Sorin

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Wednesday, December 25, 2019 4:09 PM
To: faibish, sorin
Subject: New Version Notification for draft-faibish-iot-ddos-usecases-01.txt

[EXTERNAL EMAIL] 

A new version of I-D, draft-faibish-iot-ddos-usecases-01.txt
has been successfully submitted by Sorin Faibish and posted to the IETF repository.

Name:		draft-faibish-iot-ddos-usecases
Revision:	01
Title:		Usecases definition for IoT DDoS attacks prevention
Document date:	2019-12-25
Group:		Individual Submission
Pages:		9
URL:            https://www.ietf.org/internet-drafts/draft-faibish-iot-ddos-usecases-01.txt
Status:         https://datatracker.ietf.org/doc/draft-faibish-iot-ddos-usecases/
Htmlized:       https://tools.ietf.org/html/draft-faibish-iot-ddos-usecases-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-faibish-iot-ddos-usecases
Diff:           https://www.ietf.org/rfcdiff?url2=draft-faibish-iot-ddos-usecases-01

Abstract:
   This document specifies several usecases related to the different
   ways IoT devices are exploited by malicious adversaries to
   instantiate Distributed Denial of Services (DDoS) attacks. The
   attacks are generted from IoT devices that have no proper protection
   against generating unsolicited communication messages targeting a
   certain network and creating large amounts of network traffic. The
   attackers take advantage of breaches in the configuration data in
   unprotected IoT devices exploited for DDoS attacks. The attackers
   take advantage of the IoT devices that can send network packets
   that were generated by malicious code that interacts with an OS
   implementation that runs on the IoT devices. The prupose of this
   draft is to present possible IoT DDoS usecases that need to be
   prevented by TEE. The major enabler of such attacks is related to
   IoT devices that have no OS or unprotected EE OS and run
   code that is downloaded to them from the TA and modified by
   man-in-the-middle that inserts malicious code in the OS.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat